diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/CMakeLists.txt ns-3.36/src/wimax/CMakeLists.txt
--- ns-3.35/src/wimax/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/wimax/CMakeLists.txt	2022-04-30 18:23:58.222735200 -0700
@@ -0,0 +1,116 @@
+set(source_files
+    helper/wimax-helper.cc
+    model/cid.cc
+    model/cid-factory.cc
+    model/wimax-net-device.cc
+    model/bs-net-device.cc
+    model/ss-net-device.cc
+    model/wimax-mac-header.cc
+    model/wimax-phy.cc
+    model/wimax-channel.cc
+    model/ofdm-downlink-frame-prefix.cc
+    model/wimax-connection.cc
+    model/ss-record.cc
+    model/mac-messages.cc
+    model/dl-mac-messages.cc
+    model/ul-mac-messages.cc
+    model/simple-ofdm-wimax-phy.cc
+    model/simple-ofdm-wimax-channel.cc
+    model/send-params.cc
+    model/ss-manager.cc
+    model/connection-manager.cc
+    model/bs-uplink-scheduler.cc
+    model/bs-uplink-scheduler-simple.cc
+    model/bs-uplink-scheduler-mbqos.cc
+    model/bs-uplink-scheduler-rtps.cc
+    model/bs-scheduler.cc
+    model/bs-scheduler-simple.cc
+    model/bs-scheduler-rtps.cc
+    model/wimax-mac-queue.cc
+    model/burst-profile-manager.cc
+    model/ss-scheduler.cc
+    model/service-flow.cc
+    model/service-flow-manager.cc
+    model/service-flow-record.cc
+    model/ss-link-manager.cc
+    model/bs-link-manager.cc
+    model/bandwidth-manager.cc
+    model/crc8.cc
+    model/ul-job.cc
+    model/snr-to-block-error-rate-record.cc
+    model/snr-to-block-error-rate-manager.cc
+    model/simple-ofdm-send-param.cc
+    model/ss-service-flow-manager.cc
+    model/bs-service-flow-manager.cc
+    model/ipcs-classifier.cc
+    model/ipcs-classifier-record.cc
+    model/wimax-tlv.cc
+    model/cs-parameters.cc
+    model/wimax-mac-to-mac-header.cc
+)
+
+set(header_files
+    helper/wimax-helper.h
+    model/wimax-channel.h
+    model/wimax-net-device.h
+    model/bs-net-device.h
+    model/ss-net-device.h
+    model/cid.h
+    model/cid-factory.h
+    model/ofdm-downlink-frame-prefix.h
+    model/wimax-connection.h
+    model/ss-record.h
+    model/mac-messages.h
+    model/dl-mac-messages.h
+    model/ul-mac-messages.h
+    model/wimax-phy.h
+    model/simple-ofdm-wimax-phy.h
+    model/simple-ofdm-wimax-channel.h
+    model/send-params.h
+    model/service-flow.h
+    model/ss-manager.h
+    model/connection-manager.h
+    model/wimax-mac-header.h
+    model/wimax-mac-queue.h
+    model/crc8.h
+    model/service-flow-manager.h
+    model/bs-uplink-scheduler.h
+    model/bs-uplink-scheduler-simple.h
+    model/bs-uplink-scheduler-mbqos.h
+    model/bs-uplink-scheduler-rtps.h
+    model/ul-job.h
+    model/bs-scheduler.h
+    model/bs-scheduler-simple.h
+    model/bs-scheduler-rtps.h
+    model/service-flow-record.h
+    model/snr-to-block-error-rate-record.h
+    model/snr-to-block-error-rate-manager.h
+    model/simple-ofdm-send-param.h
+    model/ss-service-flow-manager.h
+    model/bs-service-flow-manager.h
+    model/cs-parameters.h
+    model/ipcs-classifier-record.h
+    model/wimax-tlv.h
+    model/ipcs-classifier.h
+    model/bvec.h
+    model/wimax-mac-to-mac-header.h
+)
+
+build_lib(
+  LIBNAME wimax
+  SOURCE_FILES ${source_files}
+  HEADER_FILES ${header_files}
+  LIBRARIES_TO_LINK
+    ${libnetwork}
+    ${libinternet}
+    ${libpropagation}
+    ${libmobility}
+  TEST_SOURCES
+    test/mac-messages-test.cc
+    test/phy-test.cc
+    test/qos-test.cc
+    test/ss-mac-test.cc
+    test/wimax-fragmentation-test.cc
+    test/wimax-service-flow-test.cc
+    test/wimax-tlv-test.cc
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/examples/CMakeLists.txt ns-3.36/src/wimax/examples/CMakeLists.txt
--- ns-3.35/src/wimax/examples/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/wimax/examples/CMakeLists.txt	2022-04-30 18:23:58.222735200 -0700
@@ -0,0 +1,30 @@
+build_lib_example(
+  NAME wimax-ipv4
+  SOURCE_FILES wimax-ipv4.cc
+  LIBRARIES_TO_LINK
+    ${libwimax}
+    ${libinternet}
+    ${libmobility}
+    ${libcsma}
+    ${libapplications}
+)
+
+build_lib_example(
+  NAME wimax-multicast
+  SOURCE_FILES wimax-multicast.cc
+  LIBRARIES_TO_LINK
+    ${libwimax}
+    ${libinternet}
+    ${libcsma}
+    ${libapplications}
+)
+
+build_lib_example(
+  NAME wimax-simple
+  SOURCE_FILES wimax-simple.cc
+  LIBRARIES_TO_LINK
+    ${libwimax}
+    ${libinternet}
+    ${libmobility}
+    ${libapplications}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/model/bs-link-manager.h ns-3.36/src/wimax/model/bs-link-manager.h
--- ns-3.35/src/wimax/model/bs-link-manager.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wimax/model/bs-link-manager.h	2022-04-30 18:23:58.226735400 -0700
@@ -34,6 +34,8 @@
 
 /**
  * \ingroup wimax
+ * 
+ * BaseStation Link Manager
  */
 class BSLinkManager : public Object
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/model/bs-net-device.h ns-3.36/src/wimax/model/bs-net-device.h
--- ns-3.35/src/wimax/model/bs-net-device.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wimax/model/bs-net-device.h	2022-04-30 18:23:58.226735400 -0700
@@ -46,6 +46,8 @@
 
 /**
  * \ingroup wimax
+ * 
+ * BaseStation NetDevice
  */
 class BaseStationNetDevice : public WimaxNetDevice
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/model/bs-scheduler.h ns-3.36/src/wimax/model/bs-scheduler.h
--- ns-3.35/src/wimax/model/bs-scheduler.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wimax/model/bs-scheduler.h	2022-04-30 18:23:58.226735400 -0700
@@ -39,6 +39,8 @@
 
 /**
  * \ingroup wimax
+ * 
+ * BaseStation Scheduler
  */
 class BSScheduler : public Object
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/model/bs-scheduler-simple.h ns-3.36/src/wimax/model/bs-scheduler-simple.h
--- ns-3.35/src/wimax/model/bs-scheduler-simple.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wimax/model/bs-scheduler-simple.h	2022-04-30 18:23:58.226735400 -0700
@@ -39,6 +39,8 @@
 
 /**
  * \ingroup wimax
+ * 
+ * BaseStation Scheduler - simplified
  */
 class BSSchedulerSimple : public BSScheduler
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/model/bs-uplink-scheduler-simple.h ns-3.36/src/wimax/model/bs-uplink-scheduler-simple.h
--- ns-3.35/src/wimax/model/bs-uplink-scheduler-simple.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wimax/model/bs-uplink-scheduler-simple.h	2022-04-30 18:23:58.226735400 -0700
@@ -36,6 +36,8 @@
 
 /**
  * \ingroup wimax
+ * 
+ * Uplink Scheduler - simplified
  */
 class UplinkSchedulerSimple : public UplinkScheduler
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/model/burst-profile-manager.h ns-3.36/src/wimax/model/burst-profile-manager.h
--- ns-3.35/src/wimax/model/burst-profile-manager.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wimax/model/burst-profile-manager.h	2022-04-30 18:23:58.226735400 -0700
@@ -33,6 +33,8 @@
 
 /**
  * \ingroup wimax
+ * 
+ * Profile manager for burst communications
  */
 class BurstProfileManager : public Object
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/model/ipcs-classifier.h ns-3.36/src/wimax/model/ipcs-classifier.h
--- ns-3.35/src/wimax/model/ipcs-classifier.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wimax/model/ipcs-classifier.h	2022-04-30 18:23:58.230735300 -0700
@@ -33,6 +33,8 @@
 
 /**
  * \ingroup wimax
+ * 
+ * IPCS classifier
  */
 class IpcsClassifier : public Object
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/wimax/model/wimax-phy.h ns-3.36/src/wimax/model/wimax-phy.h
--- ns-3.35/src/wimax/model/wimax-phy.h	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/src/wimax/model/wimax-phy.h	2022-04-30 18:23:58.230735300 -0700
@@ -41,6 +41,8 @@
 
 /**
  * \ingroup wimax
+ * 
+ * WiMAX PHY entity
  */
 class WimaxPhy : public Object
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/test.py ns-3.36/test.py
--- ns-3.35/test.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/test.py	2022-04-30 18:23:58.234735300 -0700
@@ -47,20 +47,19 @@
 except ImportError:
     import Queue as queue
 #
-# XXX This should really be part of a waf command to list the configuration
+# XXX This should really be part of a ns3 command to list the configuration
 # items relative to optional ns-3 pieces.
 #
-# A list of interesting configuration items in the waf configuration
+# A list of interesting configuration items in the ns3 configuration
 # cache which we may be interested in when deciding on which examples
-# to run and how to run them.  These are set by waf during the
+# to run and how to run them.  These are set by ns3 during the
 # configuration phase and the corresponding assignments are usually
-# found in the associated subdirectory wscript files.
+# found in the associated subdirectory CMakeLists.txt files.
 #
 interesting_config_items = [
     "NS3_ENABLED_MODULES",
     "NS3_ENABLED_CONTRIBUTED_MODULES",
     "NS3_MODULE_PATH",
-    "NSC_ENABLED",
     "ENABLE_REAL_TIME",
     "ENABLE_THREADING",
     "ENABLE_EXAMPLES",
@@ -77,7 +76,6 @@
     "VALGRIND_FOUND",
 ]
 
-NSC_ENABLED = False
 ENABLE_REAL_TIME = False
 ENABLE_THREADING = False
 ENABLE_EXAMPLES = True
@@ -94,25 +92,21 @@
 VALGRIND_FOUND = True
 
 #
-# This will be given a prefix and a suffix when the waf config file is
+# This will be given a prefix and a suffix when the ns3 config file is
 # read.
 #
 test_runner_name = "test-runner"
 
 #
-# If the user has constrained us to run certain kinds of tests, we can tell waf
+# If the user has constrained us to run certain kinds of tests, we can tell ns3
 # to only build
 #
 core_kinds = ["core", "performance", "system", "unit"]
 
 #
-# There are some special cases for test suites that kill valgrind.  This is
-# because NSC causes illegal instruction crashes when run under valgrind.
+# Exclude tests that are problematic for valgrind.
 #
 core_valgrind_skip_tests = [
-    "ns3-tcp-cwnd",
-    "nsc-tcp-loss",
-    "ns3-tcp-interoperability",
     "routing-click",
     "lte-rr-ff-mac-scheduler",
     "lte-tdmt-ff-mac-scheduler",
@@ -127,16 +121,6 @@
 ]
 
 #
-# There are some special cases for test suites that fail when NSC is
-# missing.
-#
-core_nsc_missing_skip_tests = [
-    "ns3-tcp-cwnd",
-    "nsc-tcp-loss",
-    "ns3-tcp-interoperability",
-]
-
-#
 # Parse the examples-to-run file if it exists.
 #
 # This function adds any C++ examples or Python examples that are to be run
@@ -164,7 +148,8 @@
         # some tests when they are run under valgrind.
         #
         # Note that the two conditions are Python statements that
-        # can depend on waf configuration variables.  For example,
+        # can depend on ns3 configuration variables.  For example,
+        # when NSC was in the codebase, we could write:
         #
         #     ("tcp-nsc-lfn", "NSC_ENABLED == True", "NSC_ENABLED == False"),
         #
@@ -182,7 +167,7 @@
                 example_arguments = example_name_parts[1]
 
             # Add the proper prefix and suffix to the example name to
-            # match what is done in the wscript file.
+            # match what is done in the CMakeLists.txt file.
             example_path = "%s%s-%s%s" % (APPNAME, VERSION, example_name, BUILD_PROFILE_SUFFIX)
 
             # Set the full path for the example.
@@ -210,7 +195,7 @@
         # do_run is a condition under which to run the example.
         #
         # Note that the condition is a Python statement that can
-        # depend on waf configuration variables.  For example,
+        # depend on ns3 configuration variables.  For example,
         #
         #     ("realtime-udp-echo.py", "ENABLE_REAL_TIME == True"),
         #
@@ -593,31 +578,29 @@
 
 #
 # In general, the build process itself naturally takes care of figuring out
-# which tests are built into the test runner.  For example, if waf configure
+# which tests are built into the test runner.  For example, if ns3 configure
 # determines that ENABLE_EMU is false due to some missing dependency,
 # the tests for the emu net device simply will not be built and will
 # therefore not be included in the built test runner.
 #
 # Examples, however, are a different story.  In that case, we are just given
 # a list of examples that could be run.  Instead of just failing, for example,
-# nsc-tcp-zoo if NSC is not present, we look into the waf saved configuration
-# for relevant configuration items.
+# an example if its library support is not present, we look into the ns3
+# saved configuration for relevant configuration items.
 #
-# XXX This function pokes around in the waf internal state file.  To be a
-# little less hacky, we should add a command to waf to return this info
+# XXX This function pokes around in the ns3 internal state file.  To be a
+# little less hacky, we should add a command to ns3 to return this info
 # and use that result.
 #
-def read_waf_config():
+def read_ns3_config():
+    lock_filename = ".lock-ns3_%s_build" % sys.platform
     f = None
     try:
         # sys.platform reports linux2 for python2 and linux for python3
-        f = open(".lock-waf_" + sys.platform + "_build", "rt")
+        f = open(lock_filename, "rt")
     except FileNotFoundError:
-        try:
-            f = open(".lock-waf_linux2_build", "rt")
-        except FileNotFoundError:
-            print('The .lock-waf ... directory was not found.  You must do waf build before running test.py.', file=sys.stderr)
-            sys.exit(2)
+        print('The .lock-ns3 file was not found.  You must configure before running test.py.', file=sys.stderr)
+        sys.exit(2)
 
     for line in f:
         if line.startswith("top_dir ="):
@@ -634,7 +617,7 @@
     global NS3_BUILDDIR
     NS3_BUILDDIR = out_dir
 
-    with open("%s/c4che/_cache.py" % out_dir) as f:
+    with open(lock_filename) as f:
         for line in f.readlines():
             for item in interesting_config_items:
                 if line.startswith(item):
@@ -645,9 +628,9 @@
             print("%s ==" % item, eval(item))
 
 #
-# It seems pointless to fork a process to run waf to fork a process to run
+# It seems pointless to fork a process to run ns3 to fork a process to run
 # the test runner, so we just run the test runner directly.  The main thing
-# that waf would do for us would be to sort out the shared library path but
+# that ns3 would do for us would be to sort out the shared library path but
 # we can deal with that easily and do here.
 #
 # There can be many different ns-3 repositories on a system, and each has
@@ -1057,12 +1040,12 @@
 #
 def run_tests():
     #
-    # Pull some interesting configuration information out of waf, primarily
+    # Pull some interesting configuration information out of ns3, primarily
     # so we can know where executables can be found, but also to tell us what
     # pieces of the system have been built.  This will tell us what examples
     # are runnable.
     #
-    read_waf_config()
+    read_ns3_config()
 
     #
     # Set the proper suffix.
@@ -1075,17 +1058,17 @@
 
     #
     # Add the proper prefix and suffix to the test-runner name to
-    # match what is done in the wscript file.
+    # match what is done in the CMakeLists.txt file.
     #
     test_runner_name = "%s%s-%s%s" % (APPNAME, VERSION, "test-runner", BUILD_PROFILE_SUFFIX)
 
     #
-    # Run waf to make sure that everything is built, configured and ready to go
+    # Run ns3 to make sure that everything is built, configured and ready to go
     # unless we are explicitly told not to.  We want to be careful about causing
     # our users pain while waiting for extraneous stuff to compile and link, so
-    # we allow users that know what they''re doing to not invoke waf at all.
+    # we allow users that know what they're doing to not invoke ns3 at all.
     #
-    if not options.nowaf:
+    if not options.no_build:
 
         #
         # If the user is running the "kinds" or "list" options, there is an
@@ -1094,7 +1077,7 @@
         # options, so if we see them, we can safely only build the test-runner.
         #
         # If the user has constrained us to running only a particular type of
-        # file, we can only ask waf to build what we know will be necessary.
+        # file, we can only ask ns3 to build what we know will be necessary.
         # For example, if the user only wants to run BVT tests, we only have
         # to build the test-runner and can ignore all of the examples.
         #
@@ -1105,28 +1088,21 @@
         # user wants to run everything.
         #
         if options.kinds or options.list or (len(options.constrain) and options.constrain in core_kinds):
-            if sys.platform == "win32":
-                waf_cmd = "./waf --target=test-runner"
-            else:
-                waf_cmd = "./waf --target=test-runner"
+            build_cmd = "./ns3 build test-runner"
         elif len(options.example):
-            if sys.platform == "win32": #Modify for windows
-                waf_cmd = "./waf --target=%s" % os.path.basename(options.example)
-            else:
-                waf_cmd = "./waf --target=%s" % os.path.basename(options.example)
+            build_cmd = "./ns3 build %s" % os.path.basename(options.example)
         else:
-            if sys.platform == "win32": #Modify for windows
-                waf_cmd = "./waf"
-            else:
-                waf_cmd = "./waf"
+            build_cmd = "./ns3"
+
+        if sys.platform == "win32":
+            build_cmd = sys.executable + " " + build_cmd
 
         if options.verbose:
-            print("Building: %s" % waf_cmd)
+            print("Building: %s" % build_cmd)
 
-        proc = subprocess.Popen(waf_cmd, shell = True)
-        proc.communicate()
+        proc = subprocess.run(build_cmd, shell=True)
         if proc.returncode:
-            print("Waf died. Not running tests", file=sys.stderr)
+            print("ns3 died. Not running tests", file=sys.stderr)
             return proc.returncode
 
 
@@ -1138,12 +1114,13 @@
     #
     # Get the information from the build status file.
     #
-    build_status_file = os.path.join(NS3_BUILDDIR, 'build-status.py')
-    if os.path.exists(build_status_file):
-        ns3_runnable_programs = get_list_from_file(build_status_file, "ns3_runnable_programs")
-        ns3_runnable_scripts = get_list_from_file(build_status_file, "ns3_runnable_scripts")
+    lock_filename = ".lock-ns3_%s_build" % sys.platform
+    if os.path.exists(lock_filename):
+        ns3_runnable_programs = get_list_from_file(lock_filename, "ns3_runnable_programs")
+        ns3_runnable_scripts = get_list_from_file(lock_filename, "ns3_runnable_scripts")
+        ns3_runnable_scripts = [os.path.basename(script) for script in ns3_runnable_scripts]
     else:
-        print('The build status file was not found.  You must do waf build before running test.py.', file=sys.stderr)
+        print('The build status file was not found.  You must configure before running test.py.', file=sys.stderr)
         sys.exit(2)
 
     #
@@ -1244,7 +1221,7 @@
         if rc != 0:
             # This is usually a sign that ns-3 crashed or exited uncleanly
             print(('test.py error:  test-runner return code returned {}'.format(rc)))
-            print(('To debug, try running {}\n'.format('\'./waf --run \"test-runner --print-test-name-list\"\'')))
+            print(('To debug, try running {}\n'.format('\'./ns3 run \"test-runner --print-test-name-list\"\'')))
             return
         if isinstance(standard_out, bytes):
             standard_out = standard_out.decode()
@@ -1476,11 +1453,6 @@
                 job.set_is_skip(True)
                 job.set_skip_reason("crashes valgrind")
 
-            # Skip tests that will fail if NSC is missing.
-            if not NSC_ENABLED and test in core_nsc_missing_skip_tests:
-                job.set_is_skip(True)
-                job.set_skip_reason("requires NSC")
-
             if options.verbose:
                 print("Queue %s" % test)
 
@@ -1494,14 +1466,7 @@
     # the example programs it makes sense to try and run.  Each example will
     # have a condition associated with it that must evaluate to true for us
     # to try and execute it.  This is used to determine if the example has
-    # a dependency that is not satisfied.  For example, if an example depends
-    # on NSC being configured by waf, that example should have a condition
-    # that evaluates to true if NSC is enabled.  For example,
-    #
-    #      ("tcp-nsc-zoo", "NSC_ENABLED == True"),
-    #
-    # In this case, the example "tcp-nsc-zoo" will only be run if we find the
-    # waf configuration variable "NSC_ENABLED" to be True.
+    # a dependency that is not satisfied.
     #
     # We don't care at all how the trace files come out, so we just write them
     # to a single temporary directory.
@@ -1562,7 +1527,7 @@
 
     elif len(options.example):
         # Add the proper prefix and suffix to the example name to
-        # match what is done in the wscript file.
+        # match what is done in the CMakeLists.txt file.
         example_name = "%s%s-%s%s" % (APPNAME, VERSION, options.example, BUILD_PROFILE_SUFFIX)
 
         key_list = []
@@ -1917,11 +1882,11 @@
         print()
         if not ENABLE_TESTS:
             print('***  Note: ns-3 tests are currently disabled. Enable them by adding')
-            print('***  "--enable-tests" to ./waf configure or modifying your .ns3rc file.')
+            print('***  "--enable-tests" to ./ns3 configure or modifying your .ns3rc file.')
             print()
         if not ENABLE_EXAMPLES:
             print('***  Note: ns-3 examples are currently disabled. Enable them by adding')
-            print('***  "--enable-examples" to ./waf configure or modifying your .ns3rc file.')
+            print('***  "--enable-examples" to ./ns3 configure or modifying your .ns3rc file.')
             print()
 
     #
@@ -1984,8 +1949,8 @@
     parser.add_option("-m", "--multiple", action="store_true", dest="multiple", default=False,
                       help="report multiple failures from test suites and test cases")
 
-    parser.add_option("-n", "--nowaf", action="store_true", dest="nowaf", default=False,
-                      help="do not run waf before starting testing")
+    parser.add_option("-n", "--no-build", action="store_true", dest="no_build", default=False,
+                      help="do not build before starting testing")
 
     parser.add_option("-p", "--pyexample", action="store", type="string", dest="pyexample", default="",
                       metavar="PYEXAMPLE",
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/utils/bench-packets.cc ns-3.36/utils/bench-packets.cc
--- ns-3.35/utils/bench-packets.cc	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/utils/bench-packets.cc	2022-04-30 18:23:58.234735300 -0700
@@ -20,7 +20,7 @@
 
 // This program can be used to benchmark packet serialization/deserialization
 // operations using Headers and Tags, for various numbers of packets 'n'
-// Sample usage:  ./waf --run 'bench-packets --n=10000'
+// Sample usage:  ./ns3 run 'bench-packets --n=10000'
 
 #include "ns3/command-line.h"
 #include "ns3/system-wall-clock-ms.h"
@@ -94,7 +94,7 @@
 TypeId 
 BenchHeader<N>::GetTypeId (void)
 {
-  static TypeId tid = TypeId (GetTypeName ().c_str ())
+  static TypeId tid = TypeId (GetTypeName ())
     .SetParent<Header> ()
     .SetGroupName ("Utils")
     .HideFromDocumentation ()
@@ -161,7 +161,7 @@
    * \return The TypeId.
    */
   static TypeId GetTypeId (void) {
-    static TypeId tid = TypeId (GetName ().c_str ())
+    static TypeId tid = TypeId (GetName ())
       .SetParent<Tag> ()
       .SetGroupName ("Utils")
       .HideFromDocumentation ()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/utils/check-style.py ns-3.36/utils/check-style.py
--- ns-3.35/utils/check-style.py	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/utils/check-style.py	2022-04-30 18:23:58.234735300 -0700
@@ -159,7 +159,6 @@
     def __init__(self):
         """! Initializer
         @param self The current class
-        @return none
         """
         self.__type = 0
         self.__line = ''
@@ -244,7 +243,6 @@
         @param self:  this object
         @param src_pos: source position
         @param dst_pos: destination position
-        @return none
         """
         self.__lines = []
         self.__src_pos = int(src_pos)
@@ -316,7 +314,6 @@
     def __init__(self):
         """! Initializer
         @param self The current class
-        @return none
         """
         self.__src = ''
         self.__dst = ''
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/utils/CMakeLists.txt ns-3.36/utils/CMakeLists.txt
--- ns-3.35/utils/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/utils/CMakeLists.txt	2022-04-30 18:23:58.234735300 -0700
@@ -0,0 +1,49 @@
+if(${ENABLE_TESTS} AND (test IN_LIST libs_to_build))
+  add_executable(test-runner $<TARGET_OBJECTS:${libtest}> test-runner.cc)
+
+  if(${NS3_MONOLIB})
+    target_link_libraries(
+      test-runner ${LIB_AS_NEEDED_PRE} ${ns3-libs-tests} ${LIB_AS_NEEDED_POST}
+      ${lib-ns3-monolib} ${ns3-contrib-libs}
+    )
+  else()
+    target_link_libraries(
+      test-runner ${LIB_AS_NEEDED_PRE} ${ns3-libs-tests} ${LIB_AS_NEEDED_POST}
+      ${ns3-libs} ${ns3-contrib-libs}
+    )
+  endif()
+  set_runtime_outputdirectory(
+    test-runner ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/utils/ ""
+  )
+  add_dependencies(all-test-targets test-runner)
+endif()
+
+add_executable(bench-simulator bench-simulator.cc)
+target_link_libraries(bench-simulator ${libcore})
+set_runtime_outputdirectory(
+  bench-simulator ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/utils/ ""
+)
+
+if(network IN_LIST libs_to_build)
+  add_executable(bench-packets bench-packets.cc)
+  target_link_libraries(bench-packets ${libnetwork})
+  set_runtime_outputdirectory(
+    bench-packets ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/utils/ ""
+  )
+
+  add_executable(print-introspected-doxygen print-introspected-doxygen.cc)
+  target_link_libraries(
+    print-introspected-doxygen
+    PRIVATE ${LIB_AS_NEEDED_PRE} ${ns3-libs} ${ns3-contrib-libs}
+            ${LIB_AS_NEEDED_POST}
+  )
+  set_runtime_outputdirectory(
+    print-introspected-doxygen ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/utils/ ""
+  )
+endif()
+
+if(core IN_LIST ns3-all-enabled-modules)
+  add_executable(perf-io perf/perf-io.cc)
+  target_link_libraries(perf-io PRIVATE ${libcore})
+  set_runtime_outputdirectory(perf-io ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/utils/perf/ "")
+endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/utils/coverity-report.sh ns-3.36/utils/coverity-report.sh
--- ns-3.35/utils/coverity-report.sh	2021-10-01 13:26:48.000000000 -0700
+++ ns-3.36/utils/coverity-report.sh	2022-04-30 18:23:58.234735300 -0700
@@ -49,14 +49,14 @@
 say $(date)
 blank
 
-doo ./waf clean
+doo ./ns3 clean
 blank
 
-doo ./waf configure $NS3CONFIG
+doo ./ns3 configure $NS3CONFIG
 blank
 
 cov=coverity/cov-int
-doo cov-build --dir $cov ./waf build
+doo cov-build --dir $cov ./ns3 build
 blank
 
 tarf=coverity/ns-3.tgz
